VkExternalSemaphorePropertiesKHR Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
void * | pNext
VkExternalSemaphoreHandleTypeFlagsKHR | exportFromImportedHandleTypes
VkExternalSemaphoreHandleTypeFlagsKHR | compatibleHandleTypes
VkExternalSemaphoreFeatureFlagsKHR | externalSemaphoreFeatures

## Detailed Description

Definition at line 4352 of file vulkan.h.

## Field Documentation

## compatibleHandleTypes

VkExternalSemaphoreHandleTypeFlagsKHR VkExternalSemaphorePropertiesKHR::compatibleHandleTypes

Definition at line 4356 of file vulkan.h.

## exportFromImportedHandleTypes

VkExternalSemaphoreHandleTypeFlagsKHR VkExternalSemaphorePropertiesKHR::exportFromImportedHandleTypes

Definition at line 4355 of file vulkan.h.

## externalSemaphoreFeatures

VkExternalSemaphoreFeatureFlagsKHR VkExternalSemaphorePropertiesKHR::externalSemaphoreFeatures

Definition at line 4357 of file vulkan.h.

## pNext

void* VkExternalSemaphorePropertiesKHR::pNext

Definition at line 4354 of file vulkan.h.

## sType

VkStructureType VkExternalSemaphorePropertiesKHR::sType

Definition at line 4353 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h